org.apache.ignite.mxbean

## Interface DefragmentationMXBean

-     @MXBeanDescription(value="MBean that provides access for defragmentation features.")
      public interface DefragmentationMXBean

  JMX bean for defragmentation manager.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `cancel()` Cancel defragmentation.
    `boolean` | `inProgress()` Get defragmentation status.
    `int` | `processedPartitions()` Get count of processed partitions.
    `boolean` | `schedule(String cacheNames)` Schedule defragmentation for given caches.
    `long` | `startTime()` Get defragmentation's start time.
    `int` | `totalPartitions()` Get total count of partitions.

- - ### Method Detail

    - #### schedule

          @MXBeanDescription(value="Schedule defragmentation.")
          boolean schedule(@MXBeanParameter(name="cacheNames",description="Names of caches to run defragmentation on.")
                                                                                 String cacheNames)

      Schedule defragmentation for given caches.
      Parameters:
        `cacheNames` - Names of caches to run defragmentation on, comma separated.
      Returns:
        `true` if defragmentation is scheduled, `false` otherwise.

    - #### cancel

          @MXBeanDescription(value="Cancel current defragmentation.")
          boolean cancel()

      Cancel defragmentation.
      Returns:
        `true` if defragmentation was canceled, `false` otherwise.

    - #### inProgress

          @MXBeanDescription(value="Cancel current defragmentation.")
          boolean inProgress()

      Get defragmentation status.
      Returns:
        `true` if defragmentation is in progress right now.

    - #### processedPartitions

          @MXBeanDescription(value="Processed partitions.")
          int processedPartitions()

      Get count of processed partitions.
      Returns:
        `true` if defragmentation is in progress right now.

    - #### totalPartitions

          @MXBeanDescription(value="Total partitions.")
          int totalPartitions()

      Get total count of partitions.
      Returns:
        `true` if defragmentation is in progress right now.

    - #### startTime

          @MXBeanDescription(value="Start time.")
          long startTime()

      Get defragmentation's start time.
      Returns:
        `true` if defragmentation is in progress right now.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023